package finaljob;
import java.util.Date;

/**
 * <p>Title: Final Job</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: UCONN CSE230</p>
 * @author (sorted alphabetically) Akash Desai, Emmanuel Galema, Haibei Zhang, Subhav Patel
 * @version 1.0
 */

public class Seeker implements java.io.Serializable
{
  private String ssn;
  private String fname, lname;
  private String street, city, state, zip, tel, email;
  private String doclocation;
  private Date postdate, lastdowndate;
  private float balance;
  private int download, bedownloaded;
  private int rep_ssn;



  public Seeker()
  {
    ssn="empty";
    fname="empty";
    lname="empty";
    street="empty";
    city="empty";
    state="empty";
    zip="empty";
    tel="empty";
    email="empty";

    doclocation="empty";
    postdate=new Date();
    lastdowndate=null;
    balance=0;
    rep_ssn=0;
  }

  public Seeker(String s, String fn, String ln, String str, String c, String sta, String z, String t, String e)
  {
    ssn=s;
    fname=fn;
    lname=ln;
    street=str;
    city=c;
    state=sta;
    zip=z;
    tel=t;
    email=e;

    doclocation="empty";
    postdate=new Date();
    lastdowndate=null;
    balance=0;
    rep_ssn=0;
    download=0;
    bedownloaded=0;
  }

  public String getSSN()
  {
    return ssn;
  }

  public void setSSN(String newSSN)
  {
    ssn=newSSN;
  }

  public String getFname()
  {
    return fname;
  }

  public void setFname(String newFN)
  {
    fname=newFN;
  }

  public String getLname()
  {
    return lname;
  }

  public void setLname(String newLN)
  {
    lname=newLN;
  }

  public String getStreet()
  {
    return street;
  }

  public void setStreet(String newST)
  {
    street=newST;
  }

  public String getCity()
  {
    return city;
  }

  public void setCity(String newCT)
  {
    city=newCT;
  }

  public String getState()
  {
    return state;
  }

  public void setState(String newST)
  {
    state=newST;
  }

  public String getZip()
  {
    return zip;
  }

  public void setZip(String newZP)
  {
    zip=newZP;
  }

  public String getTel()
  {
    return tel;
  }

  public void setTel(String newTL)
  {
    tel=newTL;
  }

  public String getEmail()
  {
    return email;
  }

  public void setEmail(String newEM)
  {
    email=newEM;
  }

  public String getDoc()
  {
    return doclocation;
  }

  public void setDoc(String newDC)
  {
    doclocation=newDC;
  }

  public Date getPostDate()
  {
    return postdate;
  }

  public void setPostDate(Date newPD)
  {
    postdate=newPD;
  }

  public Date getLastDownDate()
  {
    return lastdowndate;
  }

  public void setLastDownDate(Date newLD)
  {
    lastdowndate=newLD;
  }

  public float getBalance()
  {
    return balance;
  }

  public void setBalance(float newBL)
  {
    balance=newBL;
  }

  public int getRepSSN()
  {
    return rep_ssn;
  }

  public void setRepSSN(int newRP)
  {
    rep_ssn=newRP;
  }

  public int getDownload()
  {
    return download;
  }

  public void incrementDownload()
  {
    download++;
  }

  public int getBeDownloaded()
  {
    return bedownloaded;
  }

  public void incrementBeDownloaded()
  {
    bedownloaded++;
  }

}