package finaljob;
import java.util.Date;

/**
 * <p>Title: Final Job</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: UCONN CSE230</p>
 * @author (sorted alphabetically) Akash Desai, Emmanuel Galema, Haibei Zhang, Subhav Patel
 * @version 1.0
 */

public class Company implements java.io.Serializable
{
  private String cid;
  private String name;
  private String street, city, state, zip, tel, email;
  private Date lastdowndate;
  private float balance;
  private int rep_ssn;
  private int download;

  public Company()
  {
    cid="empty";
    name="empty";
    street="empty";
    city="empty";
    state="empty";
    zip="empty";
    tel="empty";
    email="empty";

    lastdowndate=null;
    balance=0;
    rep_ssn=0;
  }

  public Company(String id, String n, String str, String c, String sta, String z, String t, String e)
  {
    cid=id;
    name=n;
    street=str;
    city=c;
    state=sta;
    zip=z;
    tel=t;
    email=e;

    lastdowndate=null;
    balance=0;
    rep_ssn=0;
  }

  public String getCID()
  {
    return cid;
  }

  public void setCID(String newCID)
  {
    cid=newCID;
  }

  public String getname()
  {
    return name;
  }

  public void setname(String newN)
  {
    name=newN;
  }


  public String getStreet()
  {
    return street;
  }

  public void setStreet(String newST)
  {
    street=newST;
  }

  public String getCity()
  {
    return city;
  }

  public void setCity(String newCT)
  {
    city=newCT;
  }

  public String getZip()
  {
    return zip;
  }

  public void setZip(String newZP)
  {
    zip=newZP;
  }

  public String getTel()
  {
    return tel;
  }

  public void setTel(String newTL)
  {
    tel=newTL;
  }

  public String getEmail()
  {
    return email;
  }

  public void setEmail(String newEM)
  {
    email=newEM;
  }

  public Date getLastDownDate()
  {
    return lastdowndate;
  }

  public void setLastDownDate(Date newLD)
  {
    lastdowndate=newLD;
  }

  public float getBalance()
  {
    return balance;
  }

  public void setBalance(float newBL)
  {
    balance=newBL;
  }

  public int getRepSSN()
  {
    return rep_ssn;
  }

  public void setRepSSN(int newRP)
  {
    rep_ssn=newRP;
  }

  public int getDownload()
  {
    return download;
  }

  public void incrementDownload()
  {
    download++;
  }

}