package finaljobclient;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.net.*;
import java.util.*;
import finaljob.Seeker;
import finaljob.Employee;
import finaljob.Company;
import finaljob.Request;
import javax.swing.border.*;

/**
 * <p>Title: Final Job</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: UCONN CSE230</p>
 * @author (sorted alphabetically) Akash Desai, Emmanuel Galema, Haibei Zhang, Subhav Patel
 * @version 1.0
 */

public class Frame2 extends JFrame {
  private JPanel contentPane;
  private JMenuBar jMenuBar1 = new JMenuBar();
  private JMenu jMenuFile = new JMenu();
  private JMenuItem jMenuFileExit = new JMenuItem();
  private JMenu jMenuHelp = new JMenu();
  private JMenuItem jMenuHelpAbout = new JMenuItem();
  private JToolBar jToolBar = new JToolBar();
  private ImageIcon image1;
  private ImageIcon image2;
  private ImageIcon image3;
  private JLabel statusBar = new JLabel();
  private BorderLayout borderLayout1 = new BorderLayout();
  private JTabbedPane JobSeeker = new JTabbedPane();
  private JPanel seekerPanel = new JPanel();
  private JPanel companyPanel = new JPanel();
  private JPanel repPanel = new JPanel();
  private JPanel managerPanel = new JPanel();
  private JTextField idTextField = new JTextField();
  private JButton loginButton = new JButton();
  private JLabel jLabel1 = new JLabel();
  private JLabel loginLabel = new JLabel();
  private JTextField ipTextField = new JTextField();
  private JLabel ipLabel = new JLabel();
  private JLabel statusLabel = new JLabel();
  private JLabel jLabel2 = new JLabel();

  private BorderLayout borderLayout2 = new BorderLayout();
  private JPanel seekerInfoPanel = new JPanel();
  private JLabel jLabel3 = new JLabel();
  private BorderLayout borderLayout3 = new BorderLayout();
  private JScrollPane jScrollPane1 = new JScrollPane();
  private JTextArea s_personalinfo_area = new JTextArea();


  private final int AUTHORIZATION_PORT=10001;
  private final int DATA_PORT=10002;
  private Socket auth_s;
  private BufferedReader auth_in;
  private PrintWriter auth_out;
  private Socket data_s;
  private ObjectInputStream data_in;
  private ObjectOutputStream data_out;
  private char loginStatus='n';
  private Vector searchresult;


  private JButton s_getpersonalinfo_button = new JButton();
  private BorderLayout borderLayout7 = new BorderLayout();
  private JLabel jLabel8 = new JLabel();
  private JButton m_bestseller_button = new JButton();
  private JButton m_revenuelisting_button = new JButton();
  private JButton m_salesreport_button = new JButton();
  private JButton m_intervewlist_button = new JButton();
  private JLabel jLabel9 = new JLabel();
  private JButton m_inquiry_button = new JButton();
  private JPanel jPanel6 = new JPanel();
  private JPanel jPanel7 = new JPanel();
  private BorderLayout borderLayout8 = new BorderLayout();
  private BorderLayout borderLayout9 = new BorderLayout();
  private JLabel jLabel11 = new JLabel();
  private JButton m_editaccount_button = new JButton();
  private JButton m_delaccount_button = new JButton();
  private JButton m_createhierachy_button = new JButton();
  private JButton m_edithierachy_button = new JButton();
  private JPanel jPanel8 = new JPanel();
  private BorderLayout borderLayout10 = new BorderLayout();
  private JPanel jPanel9 = new JPanel();
  private BorderLayout borderLayout11 = new BorderLayout();
  private JLabel jLabel13 = new JLabel();
  private JPanel jPanel10 = new JPanel();
  private JLabel jLabel14 = new JLabel();
  private JTextField m_jcid_field = new JTextField();
  private JLabel jLabel15 = new JLabel();
  private JTextField m_jcname_field = new JTextField();
  private JLabel jLabel16 = new JLabel();
  private JTextField m_jcparentid_field = new JTextField();
  private JPanel jPanel11 = new JPanel();
  private JPanel jPanel12 = new JPanel();
  private GridLayout gridLayout3 = new GridLayout();
  private JPanel jPanel13 = new JPanel();
  private BorderLayout borderLayout12 = new BorderLayout();
  private JPanel jPanel14 = new JPanel();
  private GridLayout gridLayout4 = new GridLayout();
  private JLabel jLabel10 = new JLabel();
  private JScrollPane jScrollPane2 = new JScrollPane();
  private JTextArea m_result_area = new JTextArea();
  private JButton m_deletecategory_button = new JButton();
  private JLabel jLabel17 = new JLabel();
  private JTextField m_essn_field = new JTextField();
  private JPanel jPanel15 = new JPanel();
  private GridLayout gridLayout5 = new GridLayout();
  private JLabel jLabel19 = new JLabel();
  private JPanel jPanel16 = new JPanel();
  private JLabel jLabel20 = new JLabel();
  private JTextField m_fname_field = new JTextField();
  private JLabel jLabel21 = new JLabel();
  private JTextField m_lname_field = new JTextField();
  private JPanel jPanel17 = new JPanel();
  private JLabel jLabel22 = new JLabel();
  private JTextField m_street_field = new JTextField();
  private JLabel jLabel23 = new JLabel();
  private JTextField m_city_field = new JTextField();
  private JLabel jLabel24 = new JLabel();
  private JTextField m_zip_field = new JTextField();
  private JLabel jLabel25 = new JLabel();
  private JTextField m_state_field = new JTextField();
  private JPanel jPanel18 = new JPanel();
  private JLabel jLabel26 = new JLabel();
  private JTextField m_tel_field = new JTextField();
  private JLabel jLabel27 = new JLabel();
  private JTextField m_email_field = new JTextField();
  private JPanel jPanel19 = new JPanel();
  private JLabel jLabel28 = new JLabel();
  private JTextField m_rate_field = new JTextField();
  private JLabel jLabel29 = new JLabel();
  private JTextField m_mssn_field = new JTextField();
  private JPanel jPanel20 = new JPanel();
  private JCheckBox m_ismanager_checkbox = new JCheckBox();
  private JButton m_getpersonalinfo_button = new JButton();
  private JScrollPane jScrollPane3 = new JScrollPane();
  private JTextArea m_personalinfo_area = new JTextArea();
  private JLabel jLabel12 = new JLabel();
  private BorderLayout borderLayout13 = new BorderLayout();
  private JScrollPane jScrollPane4 = new JScrollPane();
  private JButton r_getpersonalinfo_button = new JButton();
  private JPanel jPanel21 = new JPanel();
  private BorderLayout borderLayout14 = new BorderLayout();
  private JPanel jPanel5 = new JPanel();
  private FlowLayout flowLayout1 = new FlowLayout();
  private JButton m_addaccount_button = new JButton();
  private TitledBorder titledBorder1;
  private JPanel jPanel22 = new JPanel();
  private BorderLayout borderLayout15 = new BorderLayout();
  private JPanel jPanel23 = new JPanel();
  private BorderLayout borderLayout16 = new BorderLayout();
  private GridLayout gridLayout6 = new GridLayout();
  private JButton r_seekerinquiry_button = new JButton();
  private JLabel jLabel18 = new JLabel();
  private JTextField r_sssn_field = new JTextField();
  private JLabel jLabel110 = new JLabel();
  private JPanel jPanel110 = new JPanel();
  private JButton r_editseeker_button = new JButton();
  private JTextField r_fname_field = new JTextField();
  private JPanel jPanel24 = new JPanel();
  private JLabel jLabel111 = new JLabel();
  private JButton r_delseeker_button = new JButton();
  private JTextField r_tel_field = new JTextField();
  private JPanel jPanel111 = new JPanel();
  private JPanel jPanel112 = new JPanel();
  private JPanel jPanel113 = new JPanel();
  private JPanel jPanel114 = new JPanel();
  private JPanel jPanel115 = new JPanel();
  private JTextField r_city_field = new JTextField();
  private JTextField r_street_field = new JTextField();
  private JTextField r_state_field = new JTextField();
  private FlowLayout flowLayout2 = new FlowLayout();
  private JLabel jLabel211 = new JLabel();
  private JLabel jLabel212 = new JLabel();
  private JLabel jLabel213 = new JLabel();
  private JLabel jLabel214 = new JLabel();
  private JLabel jLabel215 = new JLabel();
  private JTextField r_email_field = new JTextField();
  private JLabel jLabel216 = new JLabel();
  private JButton r_addseeker_button = new JButton();
  private JLabel jLabel217 = new JLabel();
  private JLabel jLabel218 = new JLabel();
  private JLabel jLabel219 = new JLabel();
  private GridLayout gridLayout7 = new GridLayout();
  private JTextField r_lname_field = new JTextField();
  private JPanel jPanel25 = new JPanel();
  private JTextField r_zip_field = new JTextField();
  private JLabel r_pdate_label = new JLabel();
  private JLabel jLabel31 = new JLabel();
  private JLabel r_lddate_label = new JLabel();
  private JScrollPane jScrollPane5 = new JScrollPane();
  private JPanel jPanel26 = new JPanel();
  private BorderLayout borderLayout17 = new BorderLayout();
  private JLabel jLabel33 = new JLabel();
  private JScrollPane jScrollPane6 = new JScrollPane();
  private JLabel jLabel30 = new JLabel();
  private JLabel r_balance_label = new JLabel();
  private JLabel jLabel32 = new JLabel();
  private JLabel r_repid_label = new JLabel();
  private JButton r_addjob_button = new JButton();
  private JLabel jLabel112 = new JLabel();
  private BorderLayout borderLayout18 = new BorderLayout();
  private BorderLayout borderLayout19 = new BorderLayout();
  private JLabel jLabel2110 = new JLabel();
  private JLabel jLabel2111 = new JLabel();
  private JLabel r_pdatejob_label = new JLabel();
  private JTextField r_jid_field = new JTextField();
  private JLabel jLabel2116 = new JLabel();
  private JLabel jLabel2118 = new JLabel();
  private FlowLayout flowLayout3 = new FlowLayout();
  private JTextField r_category_field = new JTextField();
  private JButton r_deljob_button = new JButton();
  private JLabel jLabel113 = new JLabel();
  private JTextField r_companyid_field = new JTextField();
  private JLabel jLabel114 = new JLabel();
  private JLabel jLabel34 = new JLabel();
  private JPanel jPanel27 = new JPanel();
  private JPanel jPanel29 = new JPanel();
  private JPanel jPanel210 = new JPanel();
  private JButton r_jobinquiry_button = new JButton();
  private JTextField r_title_field = new JTextField();
  private JButton r_editjob_button = new JButton();
  private JScrollPane jScrollPane7 = new JScrollPane();
  private JPanel jPanel116 = new JPanel();
  private GridLayout gridLayout8 = new GridLayout();
  private JPanel jPanel117 = new JPanel();
  private GridLayout gridLayout9 = new GridLayout();
  private JPanel jPanel119 = new JPanel();
  private JPanel jPanel1110 = new JPanel();
  private JPanel jPanel1111 = new JPanel();
  private JTextArea r_resume_area = new JTextArea();
  private JTextArea r_job_area = new JTextArea();
  private JTextArea r_personalinfo_area = new JTextArea();
  private BorderLayout borderLayout20 = new BorderLayout();
  private JLabel jLabel115 = new JLabel();
  private BorderLayout borderLayout110 = new BorderLayout();
  private JButton c_getcompinfo_button = new JButton();
  private JPanel jPanel28 = new JPanel();
  private JScrollPane jScrollPane8 = new JScrollPane();
  private JPanel jPanel30 = new JPanel();
  private BorderLayout borderLayout21 = new BorderLayout();
  private JPanel jPanel31 = new JPanel();
  private BorderLayout borderLayout22 = new BorderLayout();
  private JRadioButton c_byresume_radio = new JRadioButton();
  private JRadioButton c_byaddress_radio = new JRadioButton();
  private JRadioButton c_byname_radio = new JRadioButton();
  private JRadioButton c_byssn_radio = new JRadioButton();
  private JPanel jPanel33 = new JPanel();
  private JPanel jPanel32 = new JPanel();
  private JPanel jPanel34 = new JPanel();
  private FlowLayout flowLayout5 = new FlowLayout();
  private FlowLayout flowLayout4 = new FlowLayout();
  private JButton c_search_button = new JButton();
  private JLabel jLabel37 = new JLabel();
  private JLabel jLabel36 = new JLabel();
  private JLabel jLabel35 = new JLabel();
  private JTextField c_searchkeyword_field = new JTextField();
  private GridLayout gridLayout2 = new GridLayout();
  private JPanel jPanel35 = new JPanel();
  private BorderLayout borderLayout23 = new BorderLayout();
  private JLabel jLabel38 = new JLabel();
  private JScrollPane jScrollPane9 = new JScrollPane();
  private JPanel jPanel36 = new JPanel();
  private FlowLayout flowLayout6 = new FlowLayout();
  private ButtonGroup c_search_buttongroup = new ButtonGroup();
  private JPanel jPanel37 = new JPanel();
  private BorderLayout borderLayout24 = new BorderLayout();
  private JPanel jPanel38 = new JPanel();
  private JLabel jLabel39 = new JLabel();
  private BorderLayout borderLayout25 = new BorderLayout();
  private JPanel jPanel39 = new JPanel();
  private GridLayout gridLayout10 = new GridLayout();
  private JLabel jLabel40 = new JLabel();
  private JButton c_download_button = new JButton();
  private JLabel jLabel41 = new JLabel();
  private JButton c_requestinterview_button = new JButton();
  private JLabel jLabel42 = new JLabel();
  private JScrollPane jScrollPane10 = new JScrollPane();
  private JTextArea c_resume_area = new JTextArea();
  private JRadioButton s_bycomp_radio = new JRadioButton();
  private GridLayout gridLayout11 = new GridLayout();
  private JButton s_download_button = new JButton();
  private JPanel jPanel310 = new JPanel();
  private JPanel jPanel311 = new JPanel();
  private JLabel jLabel43 = new JLabel();
  private JLabel jLabel44 = new JLabel();
  private JPanel jPanel312 = new JPanel();
  private JPanel jPanel313 = new JPanel();
  private JLabel jLabel45 = new JLabel();
  private JPanel jPanel314 = new JPanel();
  private JRadioButton s_bydescription_radio = new JRadioButton();
  private JPanel jPanel315 = new JPanel();
  private JPanel jPanel316 = new JPanel();
  private JPanel jPanel317 = new JPanel();
  private JPanel jPanel318 = new JPanel();
  private JPanel jPanel319 = new JPanel();
  private FlowLayout flowLayout7 = new FlowLayout();
  private FlowLayout flowLayout8 = new FlowLayout();
  private FlowLayout flowLayout9 = new FlowLayout();
  private JRadioButton s_byjid_radio = new JRadioButton();
  private JLabel jLabel310 = new JLabel();
  private JLabel jLabel311 = new JLabel();
  private JLabel jLabel312 = new JLabel();
  private JLabel jLabel313 = new JLabel();
  private JLabel jLabel314 = new JLabel();
  private JTextField s_searchkeyword_field = new JTextField();
  private JRadioButton s_bycat_radio = new JRadioButton();
  private JScrollPane jScrollPane12 = new JScrollPane();
  private JButton s_search_button = new JButton();
  private JButton s_requestinterview_button = new JButton();
  private BorderLayout borderLayout26 = new BorderLayout();
  private BorderLayout borderLayout27 = new BorderLayout();
  private BorderLayout borderLayout28 = new BorderLayout();
  private BorderLayout borderLayout29 = new BorderLayout();
  private BorderLayout borderLayout210 = new BorderLayout();
  private GridLayout gridLayout12 = new GridLayout();
  private ButtonGroup s_search_buttongroup = new ButtonGroup();
  private JList c_result_list = new JList();
  private JList s_result_list = new JList();
  private JScrollPane jScrollPane11 = new JScrollPane();
  private JTextArea s_job_area = new JTextArea();
  private JTextArea c_compinfo_area = new JTextArea();

  //Construct the frame
  public Frame2() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  //Component initialization
  private void jbInit() throws Exception  {
    image1 = new ImageIcon(finaljobclient.Frame2.class.getResource("openFile.gif"));
    image2 = new ImageIcon(finaljobclient.Frame2.class.getResource("closeFile.gif"));
    image3 = new ImageIcon(finaljobclient.Frame2.class.getResource("help.gif"));
    //setIconImage(Toolkit.getDefaultToolkit().createImage(Frame2.class.getResource("[Your Icon]")));
    contentPane = (JPanel) this.getContentPane();
    titledBorder1 = new TitledBorder("");
    contentPane.setLayout(borderLayout1);
    this.setSize(new Dimension(726, 556));
    this.setTitle("Final Job: Client");
    statusBar.setBorder(BorderFactory.createLoweredBevelBorder());
    statusBar.setText(" status bar");
    jMenuFile.setText("File");
    jMenuFileExit.setText("Exit");
    jMenuFileExit.addActionListener(new ActionListener()  {
      public void actionPerformed(ActionEvent e) {
        jMenuFileExit_actionPerformed(e);
      }
    });
    jMenuHelp.setText("Help");
    jMenuHelpAbout.setText("About");
    jMenuHelpAbout.addActionListener(new ActionListener()  {
      public void actionPerformed(ActionEvent e) {
        jMenuHelpAbout_actionPerformed(e);
      }
    });
    JobSeeker.setBorder(BorderFactory.createEtchedBorder());
    companyPanel.setBorder(BorderFactory.createEtchedBorder());
    companyPanel.setLayout(borderLayout20);
    seekerPanel.setBorder(BorderFactory.createEtchedBorder());
    seekerPanel.setMinimumSize(new Dimension(100, 51));
    seekerPanel.setPreferredSize(new Dimension(100, 48));
    seekerPanel.setLayout(borderLayout2);
    repPanel.setBorder(BorderFactory.createEtchedBorder());
    repPanel.setLayout(borderLayout14);
    managerPanel.setBorder(BorderFactory.createEtchedBorder());
    managerPanel.setLayout(borderLayout7);
    idTextField.setBorder(BorderFactory.createEtchedBorder());
    idTextField.setText("00000");
    loginButton.setBackground(Color.darkGray);
    loginButton.setForeground(Color.white);
    loginButton.setBorder(BorderFactory.createEtchedBorder());
    loginButton.setText(" Login! ");
    loginButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        loginButton_actionPerformed(e);
      }
    });
    jLabel1.setText("  ");
    loginLabel.setForeground(Color.blue);
    loginLabel.setText("      Your SSN or Company ID: ");
    ipTextField.setBorder(BorderFactory.createEtchedBorder());
    ipTextField.setText("127.0.0.1");
    ipLabel.setForeground(Color.blue);
    ipLabel.setText("Server IP: ");
    statusLabel.setFont(new java.awt.Font("SansSerif", 1, 13));
    statusLabel.setForeground(Color.red);
    statusLabel.setText("  Not Logged In  ");
    jLabel2.setForeground(Color.blue);
    jLabel2.setText("      Current Access Level: ");
    jToolBar.setBackground(Color.lightGray);
    jLabel3.setForeground(Color.blue);
    jLabel3.setText("  Personal Info          ");
    seekerInfoPanel.setBackground(Color.lightGray);
    seekerInfoPanel.setBorder(BorderFactory.createEtchedBorder());
    seekerInfoPanel.setLayout(borderLayout3);
    s_getpersonalinfo_button.setBorder(BorderFactory.createEtchedBorder());
    s_getpersonalinfo_button.setText("Get Info");
    s_getpersonalinfo_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        s_getpersonalinfo_button_actionPerformed(e);
      }
    });
    jLabel8.setFont(new java.awt.Font("Dialog", 1, 15));
    jLabel8.setForeground(Color.blue);
    jLabel8.setText(" Manager Tasks ");
    m_bestseller_button.setBorder(BorderFactory.createEtchedBorder());
    m_bestseller_button.setText("Determine Best-Sellers");
    m_bestseller_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_bestseller_button_actionPerformed(e);
      }
    });
    m_revenuelisting_button.setBorder(BorderFactory.createEtchedBorder());
    m_revenuelisting_button.setText("Get Revenue Listings");
    m_revenuelisting_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_revenuelisting_button_actionPerformed(e);
      }
    });
    m_salesreport_button.setBorder(BorderFactory.createEtchedBorder());
    m_salesreport_button.setText("Get Sales Report");
    m_salesreport_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_salesreport_button_actionPerformed(e);
      }
    });
    m_intervewlist_button.setBorder(BorderFactory.createEtchedBorder());
    m_intervewlist_button.setText("Produce Interview Listings");
    m_intervewlist_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_intervewlist_button_actionPerformed(e);
      }
    });
    jLabel9.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel9.setForeground(Color.blue);
    jLabel9.setToolTipText("");
    jLabel9.setText("Employee Account Handling");
    m_inquiry_button.setBorder(BorderFactory.createEtchedBorder());
    m_inquiry_button.setToolTipText("");
    m_inquiry_button.setText("Inquiry by SSN");
    m_inquiry_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_inquiry_button_actionPerformed(e);
      }
    });
    jPanel6.setBorder(BorderFactory.createEtchedBorder());
    jPanel6.setLayout(borderLayout9);
    jPanel7.setBorder(BorderFactory.createEtchedBorder());
    jPanel7.setLayout(borderLayout8);
    jLabel11.setForeground(Color.blue);
    jLabel11.setText("Personal Info");
    m_editaccount_button.setBorder(BorderFactory.createEtchedBorder());
    m_editaccount_button.setText("Edit");
    m_editaccount_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_editaccount_button_actionPerformed(e);
      }
    });
    m_delaccount_button.setBorder(BorderFactory.createEtchedBorder());
    m_delaccount_button.setText("Delete");
    m_delaccount_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_delaccount_button_actionPerformed(e);
      }
    });
    m_createhierachy_button.setBorder(BorderFactory.createEtchedBorder());
    m_createhierachy_button.setToolTipText("");
    m_createhierachy_button.setText("Create Category");
    m_createhierachy_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_createhierachy_button_actionPerformed(e);
      }
    });
    m_edithierachy_button.setBorder(BorderFactory.createEtchedBorder());
    m_edithierachy_button.setText("Edit Category");
    m_edithierachy_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_edithierachy_button_actionPerformed(e);
      }
    });
    jPanel8.setLayout(borderLayout10);
    jPanel9.setLayout(borderLayout11);
    jLabel13.setFont(new java.awt.Font("Dialog", 1, 15));
    jLabel13.setForeground(Color.blue);
    jLabel13.setText("Job Category");
    jLabel14.setForeground(Color.blue);
    jLabel14.setText("JC. ID ");
    m_jcid_field.setBorder(BorderFactory.createEtchedBorder());
    m_jcid_field.setText("Category ID");
    jLabel15.setForeground(Color.blue);
    jLabel15.setText("JC. Name ");
    m_jcname_field.setBorder(BorderFactory.createEtchedBorder());
    m_jcname_field.setToolTipText("");
    m_jcname_field.setText("Category Name");
    jLabel16.setForeground(Color.blue);
    jLabel16.setText("Parent ID");
    m_jcparentid_field.setBorder(BorderFactory.createEtchedBorder());
    m_jcparentid_field.setText("Parent ID");
    jPanel9.setBorder(BorderFactory.createEtchedBorder());
    jPanel12.setLayout(gridLayout3);
    gridLayout3.setColumns(1);
    gridLayout3.setRows(8);
    jPanel13.setLayout(borderLayout12);
    jPanel14.setLayout(gridLayout4);
    gridLayout4.setColumns(1);
    gridLayout4.setRows(8);
    jPanel13.setBorder(BorderFactory.createEtchedBorder());
    m_result_area.setText("Query result:");
    m_deletecategory_button.setBorder(BorderFactory.createEtchedBorder());
    m_deletecategory_button.setText("Delete Category");
    m_deletecategory_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_deletecategory_button_actionPerformed(e);
      }
    });
    jLabel17.setForeground(Color.blue);
    jLabel17.setText("Employee SSN:");
    m_essn_field.setBorder(BorderFactory.createEtchedBorder());
    m_essn_field.setPreferredSize(new Dimension(100, 20));
    m_essn_field.setText("00000");
    jPanel15.setLayout(gridLayout5);
    gridLayout5.setColumns(1);
    gridLayout5.setRows(7);
    jLabel19.setForeground(Color.blue);
    jLabel19.setText("   Additional Info (for adding and editing)");
    jLabel20.setText("F.Name");
    m_fname_field.setBorder(BorderFactory.createEtchedBorder());
    m_fname_field.setText("F.Name");
    jLabel21.setText(" L.Name");
    m_lname_field.setBorder(BorderFactory.createEtchedBorder());
    m_lname_field.setText("L.Name");
    jLabel22.setText("Street");
    m_street_field.setBorder(BorderFactory.createEtchedBorder());
    m_street_field.setText("Street");
    jLabel23.setText("City");
    m_city_field.setBorder(BorderFactory.createEtchedBorder());
    m_city_field.setText("City");
    jLabel24.setText("Zip");
    m_zip_field.setBorder(BorderFactory.createEtchedBorder());
    m_zip_field.setText("Zip");
    jLabel25.setText("State");
    m_state_field.setBorder(BorderFactory.createEtchedBorder());
    m_state_field.setText("State");
    jLabel26.setToolTipText("");
    jLabel26.setText("Tel.");
    m_tel_field.setBorder(BorderFactory.createEtchedBorder());
    m_tel_field.setText("000-000-0000");
    jLabel27.setText("Email");
    m_email_field.setBorder(BorderFactory.createEtchedBorder());
    m_email_field.setText("aaa@bbb.com");
    jLabel28.setText("Rate");
    m_rate_field.setBorder(BorderFactory.createEtchedBorder());
    m_rate_field.setText("00.00");
    jLabel29.setText("Manager\'s SSN");
    m_mssn_field.setBorder(BorderFactory.createEtchedBorder());
    m_mssn_field.setText("00000");
    m_ismanager_checkbox.setBorder(BorderFactory.createEtchedBorder());
    m_ismanager_checkbox.setText("Is he/she a manager?");
    m_getpersonalinfo_button.setBorder(BorderFactory.createEtchedBorder());
    m_getpersonalinfo_button.setText("Get Personal Info");
    m_getpersonalinfo_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_getpersonalinfo_button_actionPerformed(e);
      }
    });
    m_personalinfo_area.setPreferredSize(new Dimension(150, 18));
    m_personalinfo_area.setText("My personal info:");
    jLabel12.setText("Personal Info");
    jLabel12.setForeground(Color.blue);
    r_getpersonalinfo_button.setBorder(BorderFactory.createEtchedBorder());
    r_getpersonalinfo_button.setText("Get Personal Info");
    r_getpersonalinfo_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_getpersonalinfo_button_actionPerformed(e);
      }
    });
    jPanel21.setBorder(BorderFactory.createEtchedBorder());
    jPanel21.setLayout(borderLayout13);
    jPanel15.setBorder(BorderFactory.createEtchedBorder());
    jPanel12.setBorder(BorderFactory.createEtchedBorder());
    jPanel5.setLayout(flowLayout1);
    m_addaccount_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        m_addaccount_button_actionPerformed(e);
      }
    });
    m_addaccount_button.setText("Add");
    m_addaccount_button.setBorder(BorderFactory.createEtchedBorder());
    jPanel22.setBorder(BorderFactory.createEtchedBorder());
    jPanel22.setLayout(borderLayout15);
    jPanel23.setLayout(borderLayout16);
    jPanel23.setBorder(BorderFactory.createEtchedBorder());
    gridLayout6.setRows(8);
    gridLayout6.setColumns(1);
    r_seekerinquiry_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_seekerinquiry_button_actionPerformed(e);
      }
    });
    r_seekerinquiry_button.setText("Inquiry by SSN");
    r_seekerinquiry_button.setToolTipText("");
    r_seekerinquiry_button.setBorder(BorderFactory.createEtchedBorder());
    jLabel18.setText("Seeker Handling   ");
    jLabel18.setToolTipText("");
    jLabel18.setForeground(Color.blue);
    jLabel18.setFont(new java.awt.Font("Dialog", 1, 14));
    r_sssn_field.setText("00000");
    r_sssn_field.setBorder(BorderFactory.createEtchedBorder());
    jLabel110.setText("Seeker SSN:");
    jLabel110.setForeground(Color.blue);
    jPanel110.setBorder(BorderFactory.createEtchedBorder());
    jPanel110.setLayout(gridLayout6);
    r_editseeker_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_editseeker_button_actionPerformed(e);
      }
    });
    r_editseeker_button.setText("Edit");
    r_editseeker_button.setBorder(BorderFactory.createEtchedBorder());
    r_fname_field.setText("F.Name");
    r_fname_field.setBorder(BorderFactory.createEtchedBorder());
    jPanel24.setLayout(flowLayout2);
    jLabel111.setForeground(Color.blue);
    jLabel111.setText("   Additional Info (for adding and editing)");
    r_delseeker_button.setBorder(BorderFactory.createEtchedBorder());
    r_delseeker_button.setText("Delete");
    r_delseeker_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_delseeker_button_actionPerformed(e);
      }
    });
    r_tel_field.setBorder(BorderFactory.createEtchedBorder());
    r_tel_field.setText("000-000-0000");
    jPanel115.setLayout(gridLayout7);
    r_city_field.setBorder(BorderFactory.createEtchedBorder());
    r_city_field.setText("City");
    r_street_field.setBorder(BorderFactory.createEtchedBorder());
    r_street_field.setText("Street");
    r_state_field.setBorder(BorderFactory.createEtchedBorder());
    r_state_field.setText("State");
    jLabel211.setText("Post Date");
    jLabel212.setText("Email");
    jLabel213.setToolTipText("");
    jLabel213.setText("Tel.");
    jLabel214.setText("State");
    jLabel215.setText("Zip");
    r_email_field.setBorder(BorderFactory.createEtchedBorder());
    r_email_field.setText("aaa@bbb.com");
    jLabel216.setText("City");
    r_addseeker_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_addseeker_button_actionPerformed(e);
      }
    });
    r_addseeker_button.setText("Add");
    r_addseeker_button.setBorder(BorderFactory.createEtchedBorder());
    jLabel217.setText("Street");
    jLabel218.setText(" L.Name");
    jLabel219.setText("F.Name");
    gridLayout7.setColumns(1);
    gridLayout7.setRows(7);
    r_lname_field.setBorder(BorderFactory.createEtchedBorder());
    r_lname_field.setText("L.Name");
    r_zip_field.setBorder(BorderFactory.createEtchedBorder());
    r_zip_field.setText("Zip");
    r_pdate_label.setBorder(BorderFactory.createLineBorder(Color.black));
    r_pdate_label.setText("      ");
    jLabel31.setText("Last Download Date ");
    r_lddate_label.setBorder(BorderFactory.createLineBorder(Color.black));
    r_lddate_label.setText("      ");
    jPanel26.setLayout(borderLayout17);
    jLabel33.setText("Resume Information:                      ");
    jLabel30.setText("Balance");
    r_balance_label.setBorder(BorderFactory.createLineBorder(Color.black));
    r_balance_label.setText("00.00");
    jLabel32.setText("Representative");
    r_repid_label.setBorder(BorderFactory.createLineBorder(Color.black));
    r_repid_label.setText("00000");
    r_addjob_button.setBorder(BorderFactory.createEtchedBorder());
    r_addjob_button.setText("Add");
    r_addjob_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_addjob_button_actionPerformed(e);
      }
    });
    jLabel112.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel112.setForeground(Color.blue);
    jLabel112.setToolTipText("");
    jLabel112.setText("Job Handling      ");
    jLabel2110.setText("Title");
    jLabel2111.setText("Company ID");
    r_pdatejob_label.setText("      ");
    r_pdatejob_label.setBorder(BorderFactory.createLineBorder(Color.black));
    r_jid_field.setBorder(BorderFactory.createEtchedBorder());
    r_jid_field.setText("00000");
    jLabel2116.setText("Category");
    jLabel2116.setToolTipText("");
    jLabel2118.setText("Post Date");
    r_category_field.setBorder(BorderFactory.createEtchedBorder());
    r_category_field.setPreferredSize(new Dimension(100, 22));
    r_deljob_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_deljob_button_actionPerformed(e);
      }
    });
    r_deljob_button.setText("Delete");
    r_deljob_button.setBorder(BorderFactory.createEtchedBorder());
    jLabel113.setText("   Additional Info (for adding and editing)");
    jLabel113.setForeground(Color.blue);
    r_companyid_field.setText("C00000");
    r_companyid_field.setBorder(BorderFactory.createEtchedBorder());
    jLabel114.setForeground(Color.blue);
    jLabel114.setText("Job ID:");
    jLabel34.setText("Job Description:                               ");
    jPanel27.setLayout(borderLayout18);
    jPanel29.setLayout(flowLayout3);
    jPanel210.setLayout(borderLayout19);
    jPanel210.setBorder(BorderFactory.createEtchedBorder());
    r_jobinquiry_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_jobinquiry_button_actionPerformed(e);
      }
    });
    r_jobinquiry_button.setText("Inquiry by Job ID");
    r_jobinquiry_button.setToolTipText("");
    r_jobinquiry_button.setBorder(BorderFactory.createEtchedBorder());
    r_title_field.setText("          ");
    r_title_field.setBorder(BorderFactory.createEtchedBorder());
    r_editjob_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        r_editjob_button_actionPerformed(e);
      }
    });
    r_editjob_button.setText("Edit");
    r_editjob_button.setBorder(BorderFactory.createEtchedBorder());
    jPanel116.setLayout(gridLayout8);
    gridLayout8.setColumns(1);
    gridLayout8.setRows(7);
    gridLayout9.setRows(8);
    gridLayout9.setColumns(1);
    jPanel1111.setBorder(BorderFactory.createEtchedBorder());
    jPanel1111.setLayout(gridLayout9);
    r_personalinfo_area.setPreferredSize(new Dimension(150, 18));
    r_personalinfo_area.setText("My personal info:");
    jLabel115.setForeground(Color.blue);
    jLabel115.setText("Company Info");
    c_getcompinfo_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        c_getcompinfo_button_actionPerformed(e);
      }
    });
    c_getcompinfo_button.setText("Get Company Info");
    c_getcompinfo_button.setBorder(BorderFactory.createEtchedBorder());
    jPanel28.setLayout(borderLayout110);
    jPanel28.setBorder(BorderFactory.createEtchedBorder());
    jPanel30.setLayout(borderLayout21);
    jPanel30.setBorder(BorderFactory.createEtchedBorder());
    jPanel31.setLayout(borderLayout22);
    c_byresume_radio.setText("Resume Document");
    c_byaddress_radio.setText("Address");
    c_byname_radio.setText("Name");
    c_byssn_radio.setText("SSN");
    jPanel33.setLayout(flowLayout5);
    jPanel32.setLayout(flowLayout4);
    jPanel34.setBorder(BorderFactory.createEtchedBorder());
    jPanel34.setLayout(gridLayout2);
    c_search_button.setBorder(BorderFactory.createEtchedBorder());
    c_search_button.setText("Search");
    c_search_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        c_search_button_actionPerformed(e);
      }
    });
    jLabel37.setText("By:   ");
    jLabel36.setText("Search Keyword");
    jLabel35.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel35.setForeground(Color.blue);
    jLabel35.setText("Find A Job Seeker");
    c_searchkeyword_field.setPreferredSize(new Dimension(100, 22));
    gridLayout2.setColumns(1);
    gridLayout2.setRows(4);
    jPanel35.setLayout(borderLayout23);
    jLabel38.setText("Search Result:            ");
    jPanel36.setLayout(flowLayout6);
    jPanel31.setBorder(BorderFactory.createEtchedBorder());
    jPanel37.setLayout(borderLayout24);
    jPanel37.setBorder(BorderFactory.createEtchedBorder());
    jLabel39.setText("Download Resume and Request Interview");
    jLabel39.setForeground(Color.blue);
    jLabel39.setFont(new java.awt.Font("Dialog", 1, 14));
    jPanel38.setLayout(borderLayout25);
    jPanel39.setLayout(gridLayout10);
    gridLayout10.setColumns(1);
    gridLayout10.setRows(8);
    jLabel40.setText("(you must selece a job seeker from the search result first)");
    c_download_button.setBorder(BorderFactory.createEtchedBorder());
    c_download_button.setText("Download Resume");
    c_download_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        c_download_button_actionPerformed(e);
      }
    });
    c_requestinterview_button.setBorder(BorderFactory.createEtchedBorder());
    c_requestinterview_button.setText("Request Interview");
    c_requestinterview_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        c_requestinterview_button_actionPerformed(e);
      }
    });
    c_resume_area.setText("Resume:");
    s_bycomp_radio.setText("Company ID");
    gridLayout11.setRows(8);
    gridLayout11.setColumns(1);
    s_download_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        s_download_button_actionPerformed(e);
      }
    });
    s_download_button.setBorder(BorderFactory.createEtchedBorder());
    s_download_button.setText("Download Job Description");
    jPanel310.setLayout(gridLayout11);
    jPanel311.setLayout(borderLayout26);
    jPanel312.setLayout(borderLayout27);
    jPanel312.setBorder(BorderFactory.createEtchedBorder());
    jPanel313.setLayout(flowLayout7);
    jLabel45.setText("(you must selece a job seeker from the search result first)");
    jPanel314.setLayout(borderLayout28);
    s_bydescription_radio.setText("Job Description");
    jPanel315.setBorder(BorderFactory.createEtchedBorder());
    jPanel315.setLayout(gridLayout12);
    jPanel316.setLayout(flowLayout8);
    jPanel317.setLayout(flowLayout9);
    jPanel318.setLayout(borderLayout29);
    jPanel318.setBorder(BorderFactory.createEtchedBorder());
    jPanel319.setLayout(borderLayout210);
    jPanel319.setBorder(BorderFactory.createEtchedBorder());
    s_byjid_radio.setText("Job ID");
    jLabel310.setText("Download Resume and Request Interview");
    jLabel310.setForeground(Color.blue);
    jLabel310.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel311.setText("Search Result:            ");
    jLabel312.setText("By:   ");
    jLabel313.setText("Search Keyword");
    jLabel314.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel314.setForeground(Color.blue);
    jLabel314.setText("Find A Job");
    s_bycat_radio.setText("Category");
    s_search_button.setBorder(BorderFactory.createEtchedBorder());
    s_search_button.setText("Search");
    s_search_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        s_search_button_actionPerformed(e);
      }
    });
    s_requestinterview_button.setBorder(BorderFactory.createEtchedBorder());
    s_requestinterview_button.setText("Request Interview");
    s_requestinterview_button.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        s_requestinterview_button_actionPerformed(e);
      }
    });
    gridLayout12.setColumns(1);
    gridLayout12.setRows(4);
    s_result_list.setBorder(BorderFactory.createEtchedBorder());
    s_result_list.setPreferredSize(new Dimension(200, 0));
    s_result_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    s_job_area.setText("Document Info:");
    c_compinfo_area.setPreferredSize(new Dimension(150, 18));
    c_compinfo_area.setText("my company info:");
    s_searchkeyword_field.setPreferredSize(new Dimension(100, 22));
    s_personalinfo_area.setPreferredSize(new Dimension(150, 18));
    jPanel5.add(m_addaccount_button, null);
    jToolBar.add(ipLabel, null);
    jToolBar.add(ipTextField, null);
    jToolBar.add(loginLabel, null);
    jToolBar.add(idTextField, null);
    jToolBar.add(jLabel1, null);
    jToolBar.add(loginButton, null);
    jMenuFile.add(jMenuFileExit);
    jMenuHelp.add(jMenuHelpAbout);
    jMenuBar1.add(jMenuFile);
    jMenuBar1.add(jMenuHelp);
    this.setJMenuBar(jMenuBar1);
    contentPane.add(jToolBar, BorderLayout.NORTH);
    contentPane.add(statusBar, BorderLayout.SOUTH);
    contentPane.add(JobSeeker, BorderLayout.CENTER);
    seekerInfoPanel.add(jLabel3, BorderLayout.NORTH);
    seekerInfoPanel.add(jScrollPane1,  BorderLayout.CENTER);
    seekerInfoPanel.add(s_getpersonalinfo_button,  BorderLayout.SOUTH);
    jScrollPane1.getViewport().add(s_personalinfo_area, null);
    JobSeeker.add(companyPanel,   "Company");
    companyPanel.add(jPanel28,  BorderLayout.WEST);
    jPanel28.add(jLabel115, BorderLayout.NORTH);
    jPanel28.add(c_getcompinfo_button, BorderLayout.SOUTH);
    jPanel28.add(jScrollPane8, BorderLayout.CENTER);
    jScrollPane8.getViewport().add(c_compinfo_area, null);
    JobSeeker.add(repPanel,  "Customer Rep.");
    repPanel.add(jPanel21,  BorderLayout.WEST);
    jPanel21.add(jLabel12, BorderLayout.NORTH);
    jPanel21.add(r_getpersonalinfo_button, BorderLayout.SOUTH);
    jPanel21.add(jScrollPane4, BorderLayout.CENTER);
    jScrollPane4.getViewport().add(r_personalinfo_area, null);
    repPanel.add(jPanel22,  BorderLayout.CENTER);
    jPanel22.add(jPanel23, BorderLayout.NORTH);
    jPanel23.add(jPanel110,  BorderLayout.WEST);
    jPanel110.add(jLabel18, null);
    jPanel110.add(jLabel110, null);
    jPanel110.add(r_sssn_field, null);
    jPanel110.add(r_seekerinquiry_button, null);
    JobSeeker.add(managerPanel,  "Manager");
    managerPanel.add(jPanel7,  BorderLayout.CENTER);
    jPanel7.add(jPanel8, BorderLayout.CENTER);
    jPanel8.add(jPanel12, BorderLayout.WEST);
    jPanel12.add(jLabel9, null);
    jPanel12.add(jLabel17, null);
    jPanel12.add(m_essn_field, null);
    jPanel12.add(m_inquiry_button, null);
    jPanel8.add(jPanel13, BorderLayout.NORTH);
    jPanel13.add(jPanel14, BorderLayout.WEST);
    jPanel14.add(jLabel8, null);
    jPanel14.add(m_bestseller_button, null);
    jPanel14.add(m_revenuelisting_button, null);
    jPanel14.add(m_salesreport_button, null);
    jPanel14.add(m_intervewlist_button, null);
    jPanel14.add(jLabel10, null);
    jPanel13.add(jScrollPane2, BorderLayout.CENTER);
    jPanel8.add(jPanel15, BorderLayout.CENTER);
    jPanel15.add(jLabel19, null);
    jPanel15.add(jPanel16, null);
    jPanel16.add(jLabel20, null);
    jPanel16.add(m_fname_field, null);
    jPanel16.add(jLabel21, null);
    jPanel16.add(m_lname_field, null);
    jPanel15.add(jPanel17, null);
    jPanel17.add(jLabel22, null);
    jPanel17.add(m_street_field, null);
    jPanel17.add(jLabel23, null);
    jPanel17.add(m_city_field, null);
    jPanel17.add(jLabel24, null);
    jPanel17.add(m_zip_field, null);
    jPanel17.add(jLabel25, null);
    jPanel17.add(m_state_field, null);
    jPanel15.add(jPanel18, null);
    jPanel18.add(jLabel26, null);
    jPanel18.add(m_tel_field, null);
    jPanel18.add(jLabel27, null);
    jPanel18.add(m_email_field, null);
    jPanel15.add(jPanel19, null);
    jPanel19.add(jLabel28, null);
    jPanel19.add(m_rate_field, null);
    jPanel19.add(jLabel29, null);
    jPanel19.add(m_mssn_field, null);
    jPanel15.add(jPanel20, null);
    jPanel20.add(m_ismanager_checkbox, null);
    jScrollPane2.getViewport().add(m_result_area, null);
    jPanel7.add(jPanel9,  BorderLayout.SOUTH);
    jPanel9.add(jPanel10,  BorderLayout.SOUTH);
    jPanel10.add(jLabel14, null);
    jPanel10.add(m_jcid_field, null);
    jPanel10.add(jLabel15, null);
    jPanel10.add(m_jcname_field, null);
    jPanel10.add(jLabel16, null);
    jPanel10.add(m_jcparentid_field, null);
    jPanel9.add(jLabel13, BorderLayout.NORTH);
    jPanel9.add(jPanel11,  BorderLayout.CENTER);
    jPanel11.add(m_createhierachy_button, null);
    jPanel11.add(m_edithierachy_button, null);
    jPanel11.add(m_deletecategory_button, null);
    managerPanel.add(jPanel6, BorderLayout.WEST);
    jPanel6.add(jLabel11, BorderLayout.NORTH);
    jPanel6.add(m_getpersonalinfo_button,  BorderLayout.SOUTH);
    jPanel6.add(jScrollPane3, BorderLayout.CENTER);
    jScrollPane3.getViewport().add(m_personalinfo_area, null);
    JobSeeker.add(seekerPanel,  "Job Seeker");
    seekerPanel.add(seekerInfoPanel, BorderLayout.WEST);
    jToolBar.add(jLabel2, null);
    jToolBar.add(statusLabel, null);
    jPanel15.add(jPanel5, null);
    jPanel5.add(m_editaccount_button, null);
    jPanel5.add(m_delaccount_button, null);
    jPanel115.add(jLabel111, null);
    jPanel115.add(jPanel114, null);
    jPanel114.add(jLabel219, null);
    jPanel114.add(r_fname_field, null);
    jPanel114.add(jLabel218, null);
    jPanel114.add(r_lname_field, null);
    jPanel115.add(jPanel113, null);
    jPanel113.add(jLabel217, null);
    jPanel113.add(r_street_field, null);
    jPanel113.add(jLabel216, null);
    jPanel113.add(r_city_field, null);
    jPanel113.add(jLabel215, null);
    jPanel113.add(r_zip_field, null);
    jPanel113.add(jLabel214, null);
    jPanel113.add(r_state_field, null);
    jPanel115.add(jPanel112, null);
    jPanel112.add(jLabel213, null);
    jPanel112.add(r_tel_field, null);
    jPanel112.add(jLabel212, null);
    jPanel112.add(r_email_field, null);
    jPanel115.add(jPanel111, null);
    jPanel111.add(jLabel211, null);
    jPanel115.add(jPanel25, null);
    jPanel115.add(jPanel24, null);
    jPanel24.add(r_addseeker_button, null);
    jPanel24.add(r_editseeker_button, null);
    jPanel24.add(r_delseeker_button, null);
    jPanel23.add(jPanel115,  BorderLayout.CENTER);
    jPanel111.add(r_pdate_label, null);
    jPanel111.add(jLabel31, null);
    jPanel111.add(r_lddate_label, null);
    jPanel25.add(jScrollPane5, null);
    jPanel23.add(jPanel26,  BorderLayout.EAST);
    jPanel26.add(jLabel33, BorderLayout.NORTH);
    jPanel26.add(jScrollPane6, BorderLayout.CENTER);
    jScrollPane6.getViewport().add(r_resume_area, null);
    jPanel25.add(jLabel30, null);
    jPanel25.add(r_balance_label, null);
    jPanel25.add(jLabel32, null);
    jPanel25.add(r_repid_label, null);
    jPanel1111.add(jLabel112, null);
    jPanel1111.add(jLabel114, null);
    jPanel1111.add(r_jid_field, null);
    jPanel1111.add(r_jobinquiry_button, null);
    jPanel210.add(jPanel116, BorderLayout.CENTER);
    jPanel210.add(jPanel1111, BorderLayout.WEST);
    jPanel116.add(jLabel113, null);
    jPanel116.add(jPanel117, null);
    jPanel117.add(jLabel2110, null);
    jPanel117.add(r_title_field, null);
    jPanel117.add(jLabel2111, null);
    jPanel117.add(r_companyid_field, null);
    jPanel116.add(jPanel119, null);
    jPanel119.add(jLabel2116, null);
    jPanel119.add(r_category_field, null);
    jPanel116.add(jPanel1110, null);
    jPanel1110.add(jLabel2118, null);
    jPanel1110.add(r_pdatejob_label, null);
    jPanel116.add(jPanel29, null);
    jPanel29.add(r_addjob_button, null);
    jPanel29.add(r_editjob_button, null);
    jPanel29.add(r_deljob_button, null);
    jPanel210.add(jPanel27, BorderLayout.EAST);
    jPanel27.add(jLabel34, BorderLayout.NORTH);
    jPanel27.add(jScrollPane7, BorderLayout.CENTER);
    jPanel22.add(jPanel210, BorderLayout.CENTER);
    jScrollPane7.getViewport().add(r_job_area, null);
    companyPanel.add(jPanel30, BorderLayout.CENTER);
    jPanel30.add(jPanel31, BorderLayout.NORTH);
    jPanel31.add(jPanel34,  BorderLayout.CENTER);
    jPanel34.add(jLabel35, null);
    jPanel34.add(jPanel32, null);
    jPanel32.add(jLabel36, null);
    jPanel32.add(c_searchkeyword_field, null);
    jPanel32.add(c_search_button, null);
    jPanel34.add(jPanel33, null);
    jPanel33.add(jLabel37, null);
    jPanel33.add(c_byssn_radio, null);
    jPanel33.add(c_byname_radio, null);
    jPanel33.add(c_byaddress_radio, null);
    jPanel34.add(jPanel36, null);
    jPanel36.add(c_byresume_radio, null);
    jPanel31.add(jPanel35,  BorderLayout.EAST);
    jPanel35.add(jLabel38, BorderLayout.NORTH);
    jPanel35.add(jScrollPane9, BorderLayout.CENTER);
    jScrollPane9.getViewport().add(c_result_list, null);
    jPanel30.add(jPanel37, BorderLayout.CENTER);
    jPanel37.add(jPanel38,  BorderLayout.NORTH);
    jPanel38.add(jLabel39, BorderLayout.CENTER);
    jPanel38.add(jLabel40,  BorderLayout.SOUTH);
    jPanel37.add(jPanel39, BorderLayout.WEST);
    jPanel39.add(jLabel42, null);
    jPanel39.add(c_download_button, null);
    jPanel39.add(jLabel41, null);
    jPanel39.add(c_requestinterview_button, null);
    jPanel37.add(jScrollPane10, BorderLayout.CENTER);
    jScrollPane10.getViewport().add(c_resume_area, null);
    c_search_buttongroup.add(c_byssn_radio);
    c_search_buttongroup.add(c_byname_radio);
    c_search_buttongroup.add(c_byaddress_radio);
    c_search_buttongroup.add(c_byresume_radio);
    jPanel315.add(jLabel314, null);
    jPanel315.add(jPanel317, null);
    jPanel317.add(jLabel313, null);
    jPanel317.add(s_searchkeyword_field, null);
    jPanel317.add(s_search_button, null);
    jPanel315.add(jPanel316, null);
    jPanel316.add(jLabel312, null);
    jPanel316.add(s_byjid_radio, null);
    jPanel316.add(s_bycomp_radio, null);
    jPanel316.add(s_bycat_radio, null);
    jPanel315.add(jPanel313, null);
    jPanel313.add(s_bydescription_radio, null);
    jPanel318.add(jPanel314, BorderLayout.EAST);
    jPanel318.add(jPanel315, BorderLayout.CENTER);
    jPanel314.add(jLabel311, BorderLayout.NORTH);
    jPanel314.add(jScrollPane12, BorderLayout.CENTER);
    jPanel319.add(jPanel312, BorderLayout.CENTER);
    jScrollPane12.add(s_result_list, null);
    jPanel319.add(jPanel318, BorderLayout.NORTH);
    jPanel311.add(jLabel310, BorderLayout.CENTER);
    jPanel311.add(jLabel45, BorderLayout.SOUTH);
    jPanel312.add(jPanel310, BorderLayout.WEST);
    jPanel312.add(jPanel311, BorderLayout.NORTH);
    jPanel310.add(jLabel43, null);
    jPanel310.add(s_download_button, null);
    jPanel310.add(jLabel44, null);
    jPanel310.add(s_requestinterview_button, null);
    seekerPanel.add(jPanel319, BorderLayout.CENTER);
    s_search_buttongroup.add(s_byjid_radio);
    s_search_buttongroup.add(s_bydescription_radio);
    s_search_buttongroup.add(s_bycat_radio);
    s_search_buttongroup.add(s_bycomp_radio);
    jScrollPane12.getViewport().add(s_result_list, null);
    jPanel312.add(jScrollPane11, BorderLayout.CENTER);
    jScrollPane11.getViewport().add(s_job_area, null);
  }
  //File | Exit action performed
  public void jMenuFileExit_actionPerformed(ActionEvent e) {
    System.exit(0);
  }
  //Help | About action performed
  public void jMenuHelpAbout_actionPerformed(ActionEvent e) {
    Frame2_AboutBox dlg = new Frame2_AboutBox(this);
    Dimension dlgSize = dlg.getPreferredSize();
    Dimension frmSize = getSize();
    Point loc = getLocation();
    dlg.setLocation((frmSize.width - dlgSize.width) / 2 + loc.x, (frmSize.height - dlgSize.height) / 2 + loc.y);
    dlg.setModal(true);
    dlg.pack();
    dlg.show();
  }
  //Overridden so we can exit when window is closed
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      jMenuFileExit_actionPerformed(null);
    }
  }

  void loginButton_actionPerformed(ActionEvent e)
  {
    String serverip=ipTextField.getText();

        try
        {
          auth_s=new Socket(serverip,AUTHORIZATION_PORT);
          auth_in=new BufferedReader(new InputStreamReader(auth_s.getInputStream()));
          auth_out=new PrintWriter(auth_s.getOutputStream(), true);
          auth_out.println(idTextField.getText());
          String response=auth_in.readLine();
          if(!response.equalsIgnoreCase("Not Logged In"))
          {
            data_s=new Socket(serverip,DATA_PORT);
            data_out=new ObjectOutputStream(data_s.getOutputStream());
            data_in=new ObjectInputStream(data_s.getInputStream());
            statusBar.setText("Login successful");
            statusLabel.setForeground(Color.green);
            loginButton.setEnabled(false);
            ipTextField.setEnabled(false);
            idTextField.setEnabled(false);
            if(response.equalsIgnoreCase("Manager"))
            {
              loginStatus='m';
              statusLabel.setText("  Manager  ");
            }
            else if(response.equalsIgnoreCase("Representative"))
            {
              loginStatus='r';
              statusLabel.setText(" Representative ");
            }
            else if(response.equalsIgnoreCase("Job Seeker"))
            {
              loginStatus='s';
              statusLabel.setText("  Job Seeker  ");
            }
            else
            {
              loginStatus='c';
              statusLabel.setText("  Company  ");
            }
          }
          else statusBar.setText("Login failed");
        }
        catch(IOException e1)
        {
          System.err.println(e1.getMessage());
        }

  }

  void disconnect()
  {
    try
    {
      data_in.close();
      data_out.close();
      data_s.close();
    }
    catch(IOException e)
    {
      System.err.println(e.getMessage());
    }

  }


//=================Haibei's Part (Seeker) Starts Here===========================

/*
  Haibei's Objects:

  s_personalinfo_area

  s_searchkeyword_field
  s_search_buttongroup (this is a javax.swing.ButtonGroup object)
    s_byjid_radio (these are javax.swing.JRadioButton objects)
    s_bycomp_radio
    s_bycat_radio
    s_bydescription_radio

  s_result_list (this is a javax.swing.JList object)

  s_job_area


  Shared Objects:

  idTextField
        --- use getText() to get current user's ID
  loginStatus
        --- a char variable. Possible values 'n'(not logged in) 'm' 'r' 's' 'c'. Don't modify it.
  statusBar
        --- use setText("text") to show something in the bottom status bar

*/

  //Haibei's method
  void s_getpersonalinfo_button_actionPerformed(ActionEvent e)
  {
    Seeker s;
    try
    {
      data_out.writeObject(new Request(100,idTextField.getText()));
      Object o=data_in.readObject();
      if(o==null)
      {
        statusBar.setText("Null object received. No personal info found.");
        return;
      }
      else
      {
        s=(Seeker)o;
        s_personalinfo_area.setText("");
        s_personalinfo_area.append("SSN\n"+s.getSSN()+"\nFirst Name:\n"+s.getFname()+"\nLast Name\n"+s.getLname()+"\nAddress\n"+s.getStreet()+"\n"+s.getCity()+"\n"+s.getState()+" "+s.getZip()+"\nTelephone\n"+s.getTel()+"\nEmail\n"+s.getEmail());
      }
    }
    catch(IOException e100_1)
    {
      System.err.println(e100_1.getMessage());
    }
    catch(ClassNotFoundException e100_2)
    {
      System.err.println(e100_2.getMessage());
    }


    statusBar.setText("Successfully Get Personal Info");

  }

  //Haibei's method, download a job description, use request 105
  void s_download_button_actionPerformed(ActionEvent e)
  {
    try
    {
      if(s_result_list.getSelectedValue()==null)
      {
        statusBar.setText("Error: Please select from search result first");
        return;
      }
      data_out.writeObject(new Request(105,(String)s_result_list.getSelectedValue()));
      Object o=data_in.readObject();
      if(o==null)
      {
        statusBar.setText("Null object received. No personal info found.");
        return;
      }
      else
      {
        s_job_area.setText("Detailed Job Description:\n");
        s_job_area.append((String)o);
      }
    }
    catch(IOException e100_1)
    {
      System.err.println(e100_1.getMessage());
    }
    catch(ClassNotFoundException e100_2)
    {
      System.err.println(e100_2.getMessage());
    }

  }

  //Haibei's method, search a job, use request 101 102 103 104
  void s_search_button_actionPerformed(ActionEvent e)
  {
    try
    {
      if(s_byjid_radio.isSelected())
        data_out.writeObject(new Request(101,s_searchkeyword_field.getText().trim()));
      else if(s_bycomp_radio.isSelected())
        data_out.writeObject(new Request(102,s_searchkeyword_field.getText().trim()));
      else if(s_bycat_radio.isSelected())
        data_out.writeObject(new Request(103,s_searchkeyword_field.getText().trim()));
      else
        data_out.writeObject(new Request(104,s_searchkeyword_field.getText().trim()));

      Object o=data_in.readObject();
      if(o instanceof String)
      {
        statusBar.setText((String)o);
        return;
      }
      else if(((Vector)o).size()==0)
      {
        statusBar.setText("No record found.");
        return;
      }
      else
      {
        searchresult=(Vector)o;
        s_result_list.setListData(searchresult);
        s_result_list.repaint();
        statusBar.setText("Successfully Performed Searching");
      }
    }
    catch(IOException e101_1)
    {
      System.err.println(e101_1.getMessage());
    }
    catch(ClassNotFoundException e101_2)
    {
      System.err.println(e101_2.getMessage());
    }
  }

  //Haibei's method
  void s_requestinterview_button_actionPerformed(ActionEvent e) {

  }
//==================Haibei's Part Ends Here=====================================

//================Subhav's Part (Manager) Starts Here===========================
/*
  Subhav's Objects:

  m_personalinfo_area
  m_result_area
  m_essn_field
  m_fname_field
  m_lname_field
  m_street_field
  m_city_field
  m_state_field
  m_zip_field
  m_tel_field
  m_email_field
  m_rate_field
  m_mssn_field
  m_ismanager_checkbox
  m_jcid_field
  m_jcname_field
  m_jcparentid_field

  Shared Objects:

  idTextField
        --- use getText() to get current user's ID
  loginStatus
        --- a char variable. Possible values 'n'(not logged in) 'm' 'r' 's' 'c'. Don't modify it.
  statusBar
        --- use setText("text") to show something in the bottom status bar

*/

//Subhav's Method
  void m_getpersonalinfo_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_bestseller_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_revenuelisting_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_salesreport_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_intervewlist_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_inquiry_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_editaccount_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_delaccount_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_createhierachy_button_actionPerformed(ActionEvent e) {

  }


//Subhav's Method
  void m_edithierachy_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_deletecategory_button_actionPerformed(ActionEvent e) {

  }

//Subhav's Method
  void m_addaccount_button_actionPerformed(ActionEvent e) {

  }
//================Subhav's Part Ends Here=======================================








//=================Manny's Part (Representative) Starts Here====================
/*
  Manny's Objects:

  r_personalinfo_area

  r_sssn_field
  r_fname_field
  r_lname_field
  r_street_field
  r_city_field
  r_zip_field
  r_state_field
  r_tel_field
  r_email_field
  r_pdate_label
  r_lddate_label
  r_balance_label
  r_repid_label
  r_resume_area

  r_jid_field
  r_title_field
  r_companyid_field
  r_category_field
  r_pdatejob_label
  r_job_area


  Shared Objects:

  idTextField
        --- use getText() to get current user's ID
  loginStatus
        --- a char variable. Possible values 'n'(not logged in) 'm' 'r' 's' 'c'. Don't modify it.
  statusBar
        --- use setText("text") to show something in the bottom status bar

*/
//Manny's Method
  void r_getpersonalinfo_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_seekerinquiry_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_editseeker_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_delseeker_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_addseeker_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_addjob_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_deljob_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_jobinquiry_button_actionPerformed(ActionEvent e) {

  }

//Manny's Method
  void r_editjob_button_actionPerformed(ActionEvent e) {

  }

//=========================Manny's Part Ends Here===============================






//=================Akarsh's Part (Company) Starts Here==========================

/*
  Akarsh's Objects:

  c_compinfo_area

  c_searchkeyword_field
  c_search_buttongroup (this is a javax.swing.ButtonGroup object)
    c_byssn_radio (these are javax.swing.JRadioButton objects)
    c_byname_radio
    c_byaddress_radio
    c_byresume_radio

  c_result_list (this is a javax.swing.JList object)

  c_resume_area


  Shared Objects:

  idTextField
        --- use getText() to get current user's ID
  loginStatus
        --- a char variable. Possible values 'n'(not logged in) 'm' 'r' 's' 'c'. Don't modify it.
  statusBar
        --- use setText("text") to show something in the bottom status bar

*/

//Akarsh's method
void c_getcompinfo_button_actionPerformed(ActionEvent e) {

}

//Akarsh's method
void c_search_button_actionPerformed(ActionEvent e) {

}

//Akarsh's method
void c_download_button_actionPerformed(ActionEvent e) {

}

//Akarsh's method
void c_requestinterview_button_actionPerformed(ActionEvent e) {

  }

//====================Akarsh's Part Ends Here===================================
}